package jmeno;
import java.util.Locale;
import java.util.MissingResourceException;
import java.util.ResourceBundle;

/**
 * Trida pro ziskavani lokalizovanych retezcu. Ty musi byt ulozeny v 
 * v souboru Locales_{LocaleName}.properties.
 * @author Ondrej Hanousek a Vojtech Ouska
 */
public class Localisation extends gui.Localisation {
    private static Locale locale=Locale.getDefault();
    private static ResourceBundle rb;
    
    /**
     * Nastaveni <PRE>Locale</PRE> pro aplikaci.
     * @param l Locale for new localisation
     */
    public static void setLocale(Locale l){
    	 gui.Localisation.setLocale(l);
         locale=l;
         rb=ResourceBundle.getBundle("jmeno.Locales",locale);
    }
    
    /**
     * Ziskani nastavenych <PRE>Locale</PRE>.
     * @return Current set locale
     */
    public static Locale getLocale(){
        return locale;
    }
    
    /**
     * Metoda pro ziskani lokalizovaneho retezce.
     * @param key klic v souboru <PRE>.properties</PRE> 
     * @return lokalizovany retezec
     */
    public static String getString(String key){
        if (rb==null) rb=ResourceBundle.getBundle("jmeno.Locales",locale);
        String out;
            try {
            out=rb.getString(key);
            } catch (MissingResourceException ex) {
                System.err.println(ex.getMessage());
                out="Missing key "+key;
            }
        return out;
    }
}
